Name: mysqlcc
Version: 0.9.4
Release: alt2
License: GPL
Group: Databases
Summary: MySQL Control Center
URL: http://www.mysql.com/products/mysqlcc/

Source: %name-%version-src.tar.gz
Source1: %name-16x16.png
Source2: %name-32x32.png
Source3: %name-48x48.png
Source4: %{name}start.sh

Patch0: mysqlcc-0.9.4-src-alt-mysql5.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

BuildRequires: fontconfig freetype2 gcc-c++ libMySQL-devel libX11-devel
BuildRequires: libXext-devel libqt3-devel libstdc++-devel zlib-devel

%description
mysqlcc is a platform independent graphical MySQL administration client.
It is based on Trolltech's Qt toolkit.

%prep
%setup -q -n %name-%version-src

%patch0 -p1

%build
%configure
%make_build

%install
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_datadir/apps/%name/translations
%__install -m 755 %name %buildroot%_bindir/%name
%__install -m 755 %SOURCE4 %buildroot%_bindir/%{name}start.sh
%__install -m 644 {*.wav,syntax.txt} %buildroot%_datadir/apps/%name/
%__install -m 644 translations/*.{qm,ts} %buildroot%_datadir/apps/%name/translations/

#Menu entry
mkdir -p %buildroot%_datadir/applications
cat <<EOF > %buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=MySQLCC
Comment=MySQL Control Center
Icon=%name
Exec=%_bindir/mysqlccstart.sh
Terminal=false
Categories=QT;Application;Utility;
EOF

#Menu icons
%__install -Dp -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
%__install -Dp -m644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -Dp -m644 %SOURCE3 %buildroot%_liconsdir/%name.png

%files
%doc Changelog.txt INSTALL.txt LICENSE.txt README.txt TODO.txt
%_bindir/*
%_datadir/apps/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_datadir/applications/%name.desktop

%changelog
* Sun Feb 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9.4-alt2
- updated build dependencies
- fixed build with MySQL >= 4.1
- moved to freedesktop menu
- updated icons

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.4-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed May 12 2004 Valery Inzemtsev <shrek@altlinux.ru> 0.9.4-alt1
- initial release
